# Source code for azure.mgmt.cognitiveservices.models.error

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model
    from msrest.exceptions import HttpOperationError

    class Error(Model):
        """Error.

        :param errorProperty:
        :type errorProperty: :class:`ErrorBody
         <azure.mgmt.cognitiveservices.models.ErrorBody>`
        """

        _attribute_map = {
            'errorProperty': {'key': 'error', 'type': 'ErrorBody'},
        }

        def __init__(self, errorProperty=None):
            self.errorProperty = errorProperty

    class ErrorException(HttpOperationError):
        """Server responsed with exception of type: 'Error'.

        :param deserialize: A deserializer
        :param response: Server response to be deserialized.
        """

        def __init__(self, deserialize, response, *args):

            super(ErrorException, self).__init__(deserialize, response, 'Error', *args)